EDIT - feature request #8062

Make default preferences deletable serverside
02/04/2019 03:22 PM - Andreas Mdller

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.8

Severity: normal

Description

Currently when storing a CdmPreference it can not be checked if it holds the default value and therefore can be deleted. This is
because CdmPreference holds the predicate as string only and therefore does not hold the default value. Only for those predicates

defined server side it is possible to retrieve default value.

There are various possibilities to pass the default value.

1. Use IPreferencePredicate in CdmPreference.prefKey instead of String
2. Override set(CdmPreference) in PreferenceService to allow to pass an extra attribute "default value”
3. Leave it to the client to delete default values (this requires a delete method) => we finally took this solution, see also #8045

4. tbc
Related issues:
Related to EDIT - bug #7849: Improve DB Preferences handling and saving in Ta... Closed
Related to EDIT - feature request #7902: Allow default values for PreferenceP... Closed
Related to EDIT - feature request #8045: Improve handling of default values a... Feedback
Copied to EDIT - task #9826: Move pure TaxEditor predicates back to taxeditor... New

Associated revisions

Revision 3eecdd85 - 02/07/2019 02:14 PM - Andreas Muller

ref #8062 first implementation to delete default preferences (only for cdmlib predicates)

Revision 0504b50c - 02/07/2019 03:20 PM - Andreas Miiller
ref #8062 fix NPE in TaxonGraphTest

Revision 3c2c16¢0 - 02/07/2019 04:35 PM - Katja Luther

ref #8062: add editorPreferencePredicates to PreferencePredicates and create enums

History

#1 - 02/04/2019 03:22 PM - Andreas Miuller

- Related to bug #7849: Improve DB Preferences handling and saving in TaxEditor added

#2 - 02/05/2019 12:31 PM - Andreas Miuller

- Related to feature request #7902: Allow default values for PreferencePredicates added

#3 - 02/08/2019 06:42 PM - Andreas Miuller

The first implementation seems to work for all server side preferences using PreferencePredicates. This is only a first step.

#4 - 02/08/2019 06:42 PM - Andreas Miiller
- Status changed from New to In Progress

- Target version changed from Release 5.5 to Release 5.6

#5 - 02/28/2019 10:54 AM - Andreas Miiller
- Priority changed from New to Highest
#6 - 04/12/2019 12:57 PM - Andreas Miiller

- Target version changed from Release 5.6 to Release 5.7

#7 - 05/03/2019 02:57 PM - Andreas Miiller

- Target version changed from Release 5.7 to Release 5.8

#8 - 07/09/2021 10:05 AM - Andreas Miiller
- Status changed from In Progress to Resolved
- Target version changed from Release 5.8 to Release 5.25

- % Done changed from 0 to 30
Check, how far this is fixed. Create open issues ticket and move this ticket back to 5.8

#9 - 07/16/2021 02:48 PM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.45

#10 - 09/20/2021 12:21 PM - Andreas Miiller
- Priority changed from Highest to Priority14

#11 - 10/26/2021 11:29 AM - Andreas Miiller

- Related to feature request #8045: Improve handling of default values and override in local preferences added

#12 - 10/26/2021 12:21 PM - Andreas Miiller

- Description updated

In later discussions (e.g. related to #8045) we decided that it makes sense to distinguish default values (not existing values) from preferences that has
the same value as the default value. This has an advantage in case a default value of a preference changes as you can still distinguish between an
explicitly chosen value (similar to the default value) and a non-chosen value (a real default value).

Also it makes the handling between serverside preferences and client side preferences easier.

#13 - 10/26/2021 12:50 PM - Andreas Miiller
- Copied to task #9826: Move pure TaxEditor predicates back to taxeditor code added

#14 - 10/26/2021 12:51 PM - Andreas Miiller

- Description updated

- Status changed from Resolved to Closed

- Target version changed from Release 5.45 to Release 5.8

- % Done changed from 30 to 100

So we finally chose solution 3 (from the ticket description) and had to revert some of the changes made here previously (#8045). The ticket can be
closed.
We still may move the pure editor predicates back to TaxEditor code (#9826)

#15 - 10/26/2021 01:05 PM - Andreas Miiller

- Tags set to preferences
